package dev.inmo.postssystem.features.common.common

import kotlinx.serialization.modules.SerializersModuleBuilder

class SerializersModuleConfigurator(
    private val elements: List<Element>
) {
    fun interface Element {
        operator fun SerializersModuleBuilder.invoke()
    }
    operator fun SerializersModuleBuilder.invoke() {
        elements.forEach { it.apply { invoke() } }
    }
}
